%global release_name icehouse

Name:		openstack-neutron
Version:	2014.1.5
Release:	4%{?dist}
Provides:	openstack-quantum = %{version}-%{release}
Obsoletes:	openstack-quantum < 2013.2-0.4.b3
Summary:	OpenStack Networking Service

Group:		Applications/System
License:	ASL 2.0
URL:		http://launchpad.net/neutron/

Source0:	http://launchpad.net/neutron/%{release_name}/%{version}/+download/neutron-%{version}.tar.gz
Source1:	neutron.logrotate
Source2:	neutron-sudoers
Source10:	neutron-server.service
Source11:	neutron-linuxbridge-agent.service
Source12:	neutron-openvswitch-agent.service
Source13:	neutron-ryu-agent.service
Source14:	neutron-nec-agent.service
Source15:	neutron-dhcp-agent.service
Source16:	neutron-l3-agent.service
Source17:	neutron-metadata-agent.service
Source18:	neutron-ovs-cleanup.service
Source19:	neutron-lbaas-agent.service
Source20:	neutron-mlnx-agent.service
Source21:	neutron-vpn-agent.service
Source22:	neutron-metering-agent.service
Source23:	neutron-netns-cleanup.service
Source24:	neutron-netns-cleanup.init
Source25:	neutron-ovs-cleanup.init
Source26:	NetnsCleanup.ocf_ra
Source27:	OVSCleanup.ocf_ra
Source28:	NeutronScale.ocf_ra

Source30:	neutron-dist.conf
#
# patches_base=+3
#
Patch0001: 0001-Remove-dnsmasq-version-warning.patch
Patch0002: 0002-remove-runtime-dependency-on-pbr.patch
Patch0003: 0003-Sync-service-and-systemd-modules-from-oslo-incubator.patch
Patch0004: 0004-Comment-added-for-quantum-rootwrap-paths-for-filters.patch
Patch0005: 0005-Check-during-db-migration-if-service-tables-exist.patch
Patch0006: 0006-Need-to-not-have-empty-files-that-are-created-by-bac.patch
Patch0007: 0007-Ignore-ipv6-networks-for-older-dnsmasq.patch
Patch0008: 0008-Removed-signing_dir-from-neutron.conf.patch
Patch0009: 0009-Add-support-for-https-requests-on-nova-metadata.patch
Patch0010: 0010-Remove-kernel-version-check-for-OVS-VXLAN.patch
Patch0011: 0011-Notify-systemd-when-starting-Neutron-server.patch
Patch0012: 0012-Replace-XML-with-JSON-for-N1kv-REST-calls.patch
Patch0013: 0013-Add-config-for-visibility-of-cisco-policy-profile.patch
Patch0014: 0014-Control-active-number-of-REST-calls-from-Cisco-N1kv-.patch
Patch0015: 0015-Assign-Cisco-nw-profile-to-multi-tenants-in-single-r.patch
Patch0016: 0016-Update-agent-linux-external_process.py-and-utils.py-.patch
Patch0017: 0017-Update-agent-linux-external_process.py-from-keepaliv.patch
Patch0018: 0018-Implements-ProcessMonitor-to-watch-over-external-pro.patch
Patch0019: 0019-Fix-pid-file-location-to-avoid-I-J-changes-that-brea.patch
Patch0020: 0020-Modify-the-ProcessMonitor-class-to-have-one-less-con.patch
Patch0021: 0021-Implements-the-ProcessMonitor-in-the-dhcp_agent-and-.patch
Patch0022: 0022-Update-agent-l3_agent.py-to-include-metadata-proxy-r.patch
Patch0023: 0023-Implements-the-ProcessMonitor-in-the-l3_agent.patch
Patch0024: 0024-Implement-full-sync-for-cisco-n1kv-plugin.patch
Patch0025: 0025-Fix-neutron-netns-cleanup-broken-because-of-backport.patch
Patch0026: 0026-Cisco-N1kv-Fix-update-network-profile-for-add-tenant.patch
Patch0027: 0027-Fix-race-condition-in-ProcessMonitor.patch
Patch0028: 0028-Set-onlink-routes-for-all-subnets-on-an-external-net.patch
Patch0029: 0029-Support-vif_details-in-ml2-migration-script.patch
Patch0030: 0030-Make-allocation_pools-attribute-of-subnet-updateable.patch
Patch0031: 0031-Allow-setting-a-rootwrap-cmd-for-functional-tests.patch
Patch0032: 0032-Fix-pep8-errors.patch
Patch0033: 0033-Fix-reconnect-race-condition-with-RabbitMQ-cluster.patch
Patch0034: 0034-Fix-AttributeError-during-startup-of-ovs-agent-in-DV.patch
Patch0035: 0035-Stop-device_owner-from-being-set-to-network.patch

BuildArch:	noarch

BuildRequires:	python2-devel
BuildRequires:	python-setuptools
BuildRequires:	systemd-units
BuildRequires:  python-pbr
BuildRequires:  python-d2to1

Requires:	python-neutron = %{version}-%{release}
Requires:	python-oslo-rootwrap
Requires:	openstack-utils

# dnsmasq is not a hard requirement, but is currently the only option
# when neutron-dhcp-agent is deployed.
Requires:	dnsmasq
Requires:	dnsmasq-utils

Requires(pre):	shadow-utils
Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units


%description
Neutron is a virtual network service for Openstack. Just like
OpenStack Nova provides an API to dynamically request and configure
virtual servers, Neutron provides an API to dynamically request and
configure virtual networks. These networks connect "interfaces" from
other OpenStack services (e.g., virtual NICs from Nova VMs). The
Neutron API supports extensions to provide advanced network
capabilities (e.g., QoS, ACLs, network monitoring, etc.)


%package -n python-neutron
Summary:	Neutron Python libraries
Group:		Applications/System

Provides:	python-quantum = %{version}-%{release}
Obsoletes:	python-quantum < 2013.2-0.4.b3

Requires:	MySQL-python
Requires:	python-alembic
Requires:	python-anyjson
Requires:	python-babel
Requires:	python-eventlet
Requires:	python-greenlet
Requires:	python-httplib2 >= 0.7.5
Requires:	python-iso8601
Requires:	python-keystoneclient >= 0.7.0
Requires:	python-kombu
Requires:	python-lxml
Requires:	python-netaddr
Requires:	python-oslo-config >= 1:1.2.0
Requires:	python-paste-deploy
Requires:	python-qpid
Requires:	python-neutronclient >= 2.3.4
Requires:	python-routes
Requires:	python-sqlalchemy >= 0.7.8
Requires:	python-webob >= 1.2.3
Requires:	python-stevedore
Requires:	python-six >= 1.4.1
# requires.txt asks for six >= 1.5.2 actually
Requires:	python-novaclient >= 1:2.17.0
Requires:	sudo



%description -n python-neutron
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains the neutron Python library.


%package bigswitch
Summary:	Neutron Big Switch plugin
Group:		Applications/System

Provides:	openstack-quantum-bigswitch = %{version}-%{release}
Obsoletes:	openstack-quantum-bigswitch < 2013.2-0.4.b3

Requires:	openstack-neutron = %{version}-%{release}


%description bigswitch
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains the neutron plugin that implements virtual
networks using the FloodLight Openflow Controller or the Big Switch
Networks Controller.


%package brocade
Summary:	Neutron Brocade plugin
Group:		Applications/System

Provides:	openstack-quantum-brocade = %{version}-%{release}
Obsoletes:	openstack-quantum-brocade < 2013.2-0.4.b3

Requires:	openstack-neutron = %{version}-%{release}


%description brocade
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains the neutron plugin that implements virtual
networks using Brocade VCS switches running NOS.


%package cisco
Summary:	Neutron Cisco plugin
Group:		Applications/System

Provides:	openstack-quantum-cisco = %{version}-%{release}
Obsoletes:	openstack-quantum-cisco < 2013.2-0.4.b3

Requires:	openstack-neutron = %{version}-%{release}
Requires:	python-configobj


%description cisco
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains the neutron plugin that implements virtual
networks using Cisco UCS and Nexus.


%package embrane
Summary:	Neutron Embrane plugin
Group:		Applications/System

Requires:	openstack-neutron = %{version}-%{release}


%description embrane
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains the neutron plugin that implements virtual
L3-L7 network services using Embrane's heleos platform.


%package hyperv
Summary:	Neutron Hyper-V plugin
Group:		Applications/System

Provides:	openstack-quantum-hyperv = %{version}-%{release}
Obsoletes:	openstack-quantum-hyperv < 2013.2-0.4.b3

Requires:	openstack-neutron = %{version}-%{release}


%description hyperv
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains the neutron plugin that implements virtual
networks using Microsoft Hyper-V.


%package ibm
Summary:       Neutron IBM plugin
Group:         Applications/System

Requires:      openstack-neutron = %{version}-%{release}


%description ibm
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains the neutron plugin that implements virtual
networks from IBM.


%package linuxbridge
Summary:	Neutron linuxbridge plugin
Group:		Applications/System

Provides:	openstack-quantum-linuxbridge = %{version}-%{release}
Obsoletes:	openstack-quantum-linuxbridge < 2013.2-0.4.b3

Requires:	bridge-utils
Requires:	openstack-neutron = %{version}-%{release}


%description linuxbridge
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains the neutron plugin that implements virtual
networks as VLANs using Linux bridging.


%package midonet
Summary:	Neutron MidoNet plugin
Group:		Applications/System

Provides:	openstack-quantum-midonet = %{version}-%{release}
Obsoletes:	openstack-quantum-midonet < 2013.2-0.4.b3

Requires:	openstack-neutron = %{version}-%{release}


%description midonet
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains the neutron plugin that implements virtual
networks using MidoNet from Midokura.


%package ml2
Summary:    Neutron ML2 plugin
Group:      Applications/System

Provides:	openstack-quantum-ml2 = %{version}-%{release}
Obsoletes:	openstack-quantum-ml2 < 2013.2-0.4.b3

Requires:   openstack-neutron = %{version}-%{release}


%description ml2
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains a neutron plugin that allows the use of drivers
to support separately extensible sets of network types and the mechanisms
for accessing those types.


%package mellanox
Summary:    Neutron Mellanox plugin
Group:      Applications/System

Provides:	openstack-quantum-mellanox = %{version}-%{release}
Obsoletes:	openstack-quantum-mellanox < 2013.2-0.4.b3

Requires:      openstack-neutron = %{version}-%{release}


%description mellanox
This plugin implements Neutron v2 APIs with support for Mellanox embedded
switch functionality as part of the VPI (Ethernet/InfiniBand) HCA.


%package nuage
Summary:    Neutron Nuage plugin
Group:      Applications/System

Requires:   openstack-neutron = %{version}-%{release}


%description nuage
This plugin implements Neutron v2 APIs with support for Nuage Networks
Virtual Service Platform (VSP).


%package ofagent
Summary:       Neutron ofagent plugin from ryu project
Group:         Applications/system

Requires:      openstack-neutron = %{version}-%{release}


%description ofagent
This plugin implements Neutron v2 APIs with support for the ryu ofagent
plugin.


%package vmware
Summary:	Neutron Nicira plugin
Group:		Applications/System

Provides:	openstack-quantum-nicira = %{version}-%{release}
Obsoletes:	openstack-quantum-nicira < 2013.2-0.4.b3
Provides:	openstack-neutron-nicira = %{version}-%{release}
Obsoletes:	openstack-neutron-nicira < 2014.1-0.5.b2

Requires:	openstack-neutron = %{version}-%{release}


%description vmware
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains the neutron plugin that implements virtual
networks using VMware NSX.


%package oneconvergence-nvsd
Summary:	Neutron One Convergence NVSD plugin
Group:		Applications/System

Requires:	openstack-neutron = %{version}-%{release}


%description oneconvergence-nvsd
Neutron provides an API to dynamnically request and configure virtual
networks.

This package contains the neutron plugin that implements virtual
networks using One Convergence NVSD


%package openvswitch
Summary:	Neutron openvswitch plugin
Group:		Applications/System

Provides:	openstack-quantum-openvswitch = %{version}-%{release}
Obsoletes:	openstack-quantum-openvswitch < 2013.2-0.4.b3

Requires:	openstack-neutron = %{version}-%{release}
Requires:	openvswitch


%description openvswitch
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains the neutron plugin that implements virtual
networks using Open vSwitch.


%package plumgrid
Summary:	Neutron PLUMgrid plugin
Group:		Applications/System

Provides:	openstack-quantum-plumgrid = %{version}-%{release}
Obsoletes:	openstack-quantum-plumgrid < 2013.2-0.4.b3

Requires:	openstack-neutron = %{version}-%{release}


%description plumgrid
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains the neutron plugin that implements virtual
networks using the PLUMgrid platform.


%package ryu
Summary:	Neutron Ryu plugin
Group:		Applications/System

Provides:	openstack-quantum-ryu = %{version}-%{release}
Obsoletes:	openstack-quantum-ryu < 2013.2-0.4.b3

Requires:	openstack-neutron = %{version}-%{release}


%description ryu
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains the neutron plugin that implements virtual
networks using the Ryu Network Operating System.


%package nec
Summary:	Neutron NEC plugin
Group:		Applications/System

Provides:	openstack-quantum-nec = %{version}-%{release}
Obsoletes:	openstack-quantum-nec < 2013.2-0.4.b3

Requires:	openstack-neutron = %{version}-%{release}


%description nec
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains the neutron plugin that implements virtual
networks using the NEC OpenFlow controller.


%package metaplugin
Summary:	Neutron meta plugin
Group:		Applications/System

Provides:	openstack-quantum-metaplugin = %{version}-%{release}
Obsoletes:	openstack-quantum-metaplugin < 2013.2-0.4.b3

Requires:	openstack-neutron = %{version}-%{release}


%description metaplugin
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains the neutron plugin that implements virtual
networks using multiple other neutron plugins.


%package metering-agent
Summary:	Neutron bandwidth metering agent
Group:		Applications/System

Requires:   openstack-neutron = %{version}-%{release}

%description metering-agent
Neutron provides an API to measure bandwidth utilization

This package contains the neutron agent responsible for generating bandwidth
utilization notifications.


%package vpn-agent
Summary:	Neutron VPNaaS agent
Group:		Applications/System

Requires:	openstack-neutron = %{version}-%{release}
Requires:	python-jinja2

%description vpn-agent
Neutron provides an API to implement VPN as a service

This package contains the neutron agent responsible for implenting VPNaaS with
IPSec.


%prep
%setup -q -n neutron-%{version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1
%patch0017 -p1
%patch0018 -p1
%patch0019 -p1
%patch0020 -p1
%patch0021 -p1
%patch0022 -p1
%patch0023 -p1
%patch0024 -p1
%patch0025 -p1
%patch0026 -p1
%patch0027 -p1
%patch0028 -p1
%patch0029 -p1
%patch0030 -p1
%patch0031 -p1
%patch0032 -p1
%patch0033 -p1
%patch0034 -p1
%patch0035 -p1

find neutron -name \*.py -exec sed -i '/\/usr\/bin\/env python/{d;q}' {} +

sed -i 's/RPMVERSION/%{version}/; s/RPMRELEASE/%{release}/' neutron/version.py

# Ensure SOURCES.txt ends in a newline and if any patches have added files, append them to SOURCES.txt
[ -n "$(tail -c 1 < neutron.egg-info/SOURCES.txt)" ] && echo >> neutron.egg-info/SOURCES.txt
if ls %{_sourcedir}/*.patch >/dev/null 2>&1; then
  awk '/^new file/ {split(a,files," ");print substr(files[3],3)} {a = $0}' %{_sourcedir}/*.patch >> neutron.egg-info/SOURCES.txt
fi

chmod 644 neutron/plugins/cisco/README

# Let's handle dependencies ourseleves
rm -f requirements.txt

%build
%{__python} setup.py build

# Loop through values in neutron-dist.conf and make sure that the values
# are substituted into the neutron.conf as comments. Some of these values
# will have been uncommented as a way of upstream setting defaults outside
# of the code. For service_provider and notification-driver, there are
# commented examples above uncommented settings, so this specifically
# skips those comments and instead comments out the actual settings and
# substitutes the correct default values.
while read name eq value; do
  test "$name" && test "$value" || continue
  if [ "$name" = "service_provider" -o "$name" = "notification_driver" ]; then
    sed -ri "0,/^$name *=/{s!^$name *=.*!# $name = $value!}" etc/neutron.conf
  else
    sed -ri "0,/^(#)? *$name *=/{s!^(#)? *$name *=.*!# $name = $value!}" etc/neutron.conf
  fi
done < %{SOURCE30}

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

# Remove unused files
rm -rf %{buildroot}%{python_sitelib}/bin
rm -rf %{buildroot}%{python_sitelib}/doc
rm -rf %{buildroot}%{python_sitelib}/tools
rm -rf %{buildroot}%{python_sitelib}/neutron/tests
rm -rf %{buildroot}%{python_sitelib}/neutron/plugins/*/tests
rm -f %{buildroot}%{python_sitelib}/neutron/plugins/*/run_tests.*
rm %{buildroot}/usr/etc/init.d/neutron-server

# Move rootwrap files to proper location
install -d -m 755 %{buildroot}%{_datarootdir}/neutron/rootwrap
mv %{buildroot}/usr/etc/neutron/rootwrap.d/*.filters %{buildroot}%{_datarootdir}/neutron/rootwrap

# Move config files to proper location
install -d -m 755 %{buildroot}%{_sysconfdir}/neutron
mv %{buildroot}/usr/etc/neutron/* %{buildroot}%{_sysconfdir}/neutron
mv %{buildroot}%{_sysconfdir}/neutron/api-paste.ini %{buildroot}%{_datadir}/neutron/api-paste.ini
chmod 640  %{buildroot}%{_sysconfdir}/neutron/plugins/*/*.ini

# Install logrotate
install -p -D -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/logrotate.d/openstack-neutron

# Install sudoers
install -p -D -m 440 %{SOURCE2} %{buildroot}%{_sysconfdir}/sudoers.d/neutron

# Install scripts for pacemaker support
install -p -D -m 755 %{SOURCE24} %{buildroot}%{_prefix}/lib/ocf/lib/neutron/neutron-netns-cleanup
install -p -D -m 755 %{SOURCE25} %{buildroot}%{_prefix}/lib/ocf/lib/neutron/neutron-ovs-cleanup
install -p -D -m 755 %{SOURCE26} %{buildroot}%{_prefix}/lib/ocf/resource.d/neutron/NetnsCleanup
install -p -D -m 755 %{SOURCE27} %{buildroot}%{_prefix}/lib/ocf/resource.d/neutron/OVSCleanup
install -p -D -m 755 %{SOURCE28} %{buildroot}%{_prefix}/lib/ocf/resource.d/neutron/NeutronScale

# Install systemd units
install -p -D -m 644 %{SOURCE10} %{buildroot}%{_unitdir}/neutron-server.service
install -p -D -m 644 %{SOURCE11} %{buildroot}%{_unitdir}/neutron-linuxbridge-agent.service
install -p -D -m 644 %{SOURCE12} %{buildroot}%{_unitdir}/neutron-openvswitch-agent.service
install -p -D -m 644 %{SOURCE13} %{buildroot}%{_unitdir}/neutron-ryu-agent.service
install -p -D -m 644 %{SOURCE14} %{buildroot}%{_unitdir}/neutron-nec-agent.service
install -p -D -m 644 %{SOURCE15} %{buildroot}%{_unitdir}/neutron-dhcp-agent.service
install -p -D -m 644 %{SOURCE16} %{buildroot}%{_unitdir}/neutron-l3-agent.service
install -p -D -m 644 %{SOURCE17} %{buildroot}%{_unitdir}/neutron-metadata-agent.service
install -p -D -m 644 %{SOURCE18} %{buildroot}%{_unitdir}/neutron-ovs-cleanup.service
install -p -D -m 644 %{SOURCE19} %{buildroot}%{_unitdir}/neutron-lbaas-agent.service
install -p -D -m 644 %{SOURCE20} %{buildroot}%{_unitdir}/neutron-mlnx-agent.service
install -p -D -m 644 %{SOURCE21} %{buildroot}%{_unitdir}/neutron-vpn-agent.service
install -p -D -m 644 %{SOURCE22} %{buildroot}%{_unitdir}/neutron-metering-agent.service
install -p -D -m 644 %{SOURCE23} %{buildroot}%{_unitdir}/neutron-netns-cleanup.service

# Setup directories
install -d -m 755 %{buildroot}%{_datadir}/neutron
install -d -m 755 %{buildroot}%{_sharedstatedir}/neutron
install -d -m 755 %{buildroot}%{_localstatedir}/log/neutron
install -d -m 755 %{buildroot}%{_localstatedir}/run/neutron

# Install dist conf
install -p -D -m 640 %{SOURCE30} %{buildroot}%{_datadir}/neutron/neutron-dist.conf

# Install version info file
cat > %{buildroot}%{_sysconfdir}/neutron/release <<EOF
[Neutron]
vendor = Fedora Project
product = OpenStack Neutron
package = %{release}
EOF

%pre
getent group neutron >/dev/null || groupadd -r neutron
getent passwd neutron >/dev/null || \
    useradd -r -g neutron -d %{_sharedstatedir}/neutron -s /sbin/nologin \
    -c "OpenStack Neutron Daemons" neutron
exit 0


%post
if [ $1 -eq 1 ] ; then
    # Initial installation
    /bin/systemctl daemon-reload >/dev/null 2>&1 || :
fi


%preun
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    /bin/systemctl --no-reload disable neutron-server.service > /dev/null 2>&1 || :
    /bin/systemctl stop neutron-server.service > /dev/null 2>&1 || :
    /bin/systemctl --no-reload disable neutron-dhcp-agent.service > /dev/null 2>&1 || :
    /bin/systemctl stop neutron-dhcp-agent.service > /dev/null 2>&1 || :
    /bin/systemctl --no-reload disable neutron-l3-agent.service > /dev/null 2>&1 || :
    /bin/systemctl stop neutron-l3-agent.service > /dev/null 2>&1 || :
    /bin/systemctl --no-reload disable neutron-metadata-agent.service > /dev/null 2>&1 || :
    /bin/systemctl stop neutron-metadata-agent.service > /dev/null 2>&1 || :
    /bin/systemctl --no-reload disable neutron-lbaas-agent.service > /dev/null 2>&1 || :
    /bin/systemctl stop neutron-lbaas-agent.service > /dev/null 2>&1 || :
fi


%postun
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -ge 1 ] ; then
    # Package upgrade, not uninstall
    /bin/systemctl try-restart neutron-server.service >/dev/null 2>&1 || :
    /bin/systemctl try-restart neutron-dhcp-agent.service >/dev/null 2>&1 || :
    /bin/systemctl try-restart neutron-l3-agent.service >/dev/null 2>&1 || :
    /bin/systemctl try-restart neutron-metadata-agent.service >/dev/null 2>&1 || :
    /bin/systemctl try-restart neutron-lbaas-agent.service >/dev/null 2>&1 || :
fi

%pretrans
if rpm --quiet -q openstack-quantum; then
    mkdir -p  %{_localstatedir}/lib/rpm-state/

    # Create a script for restoring init script enabling that we can also
    # use as a flag to detect quantum -> grizzly upgrades in %posttrans
    systemctl list-unit-files|grep '^quantum.*enabled\s*$'| \
      sed -re 's/(\S+).*/systemctl enable \1/
               s/quantum/neutron/g' > %{_localstatedir}/lib/rpm-state/UPGRADE_FROM_QUANTUM
fi

%posttrans
# Handle migration from quantum -> neutron
if [ -e %{_localstatedir}/lib/rpm-state/UPGRADE_FROM_QUANTUM ];then
    # Migrate existing config files
    for i in `find /etc/quantum -name *.rpmsave`;do
        new=${i//quantum/neutron}
        new=${new/%.rpmsave/}
        sed -e '/^sql_connection/ b
                /^admin_user/ b
                s/quantum/neutron/g
                s/Quantum/Neutron/g' $i > $new
    done

    # Re-create plugin.ini if it existed.
    if [ -h %{_sysconfdir}/quantum/plugin.ini ];then
        plugin_ini=$(readlink %{_sysconfdir}/quantum/plugin.ini)
        ln -s ${plugin_ini//quantum/neutron} %{_sysconfdir}/neutron/plugin.ini
    fi

    # Stamp the existing db as grizzly to avoid neutron-server breaking db migration
    neutron-db-manage --config-file %{_sysconfdir}/neutron/neutron.conf --config-file %{_sysconfdir}/neutron/plugin.ini stamp grizzly || :

    # Restore the enablement of the various neutron services
    source %{_localstatedir}/lib/rpm-state/UPGRADE_FROM_QUANTUM

    rm -f %{_localstatedir}/lib/rpm-state/UPGRADE_FROM_QUANTUM
fi


%preun linuxbridge
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    /bin/systemctl --no-reload disable neutron-linuxbridge-agent.service > /dev/null 2>&1 || :
    /bin/systemctl stop neutron-linuxbridge-agent.service > /dev/null 2>&1 || :
fi


%postun linuxbridge
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -ge 1 ] ; then
    # Package upgrade, not uninstall
    /bin/systemctl try-restart neutron-linuxbridge-agent.service >/dev/null 2>&1 || :
fi


%preun mellanox
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    /bin/systemctl --no-reload disable neutron-mlnx-agent.service > /dev/null 2>&1 || :
    /bin/systemctl stop neutron-mlnx-agent.service > /dev/null 2>&1 || :
fi


%postun mellanox
if [ $1 -ge 1 ] ; then
    # Package upgrade, not uninstall
    /bin/systemctl try-restart neutron-mlnx-agent.service >/dev/null 2>&1 || :
fi


%preun openvswitch
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    /bin/systemctl --no-reload disable neutron-openvswitch-agent.service > /dev/null 2>&1 || :
    /bin/systemctl stop neutron-openvswitch-agent.service > /dev/null 2>&1 || :
fi


%postun openvswitch
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -ge 1 ] ; then
    # Package upgrade, not uninstall
    /bin/systemctl try-restart neutron-openvswitch-agent.service >/dev/null 2>&1 || :
fi


%preun ryu
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    /bin/systemctl --no-reload disable neutron-ryu-agent.service > /dev/null 2>&1 || :
    /bin/systemctl stop neutron-ryu-agent.service > /dev/null 2>&1 || :
fi


%postun ryu
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -ge 1 ] ; then
    # Package upgrade, not uninstall
    /bin/systemctl try-restart neutron-ryu-agent.service >/dev/null 2>&1 || :
fi


%preun nec
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    /bin/systemctl --no-reload disable neutron-nec-agent.service > /dev/null 2>&1 || :
    /bin/systemctl stop neutron-nec-agent.service > /dev/null 2>&1 || :
fi


%postun nec
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -ge 1 ] ; then
    # Package upgrade, not uninstall
    /bin/systemctl try-restart neutron-nec-agent.service >/dev/null 2>&1 || :
fi


%preun metering-agent
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    /bin/systemctl --no-reload disable neutron-metering-agent.service > /dev/null 2>&1 || :
    /bin/systemctl stop neutron-metering-agent.service > /dev/null 2>&1 || :
fi


%postun metering-agent
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -ge 1 ] ; then
    # Package upgrade, not uninstall
    /bin/systemctl try-restart neutron-metering-agent.service >/dev/null 2>&1 || :
fi


%preun vpn-agent
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    /bin/systemctl --no-reload disable neutron-vpn-agent.service > /dev/null 2>&1 || :
    /bin/systemctl stop neutron-vpn-agent.service > /dev/null 2>&1 || :
fi


%postun vpn-agent
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -ge 1 ] ; then
    # Package upgrade, not uninstall
    /bin/systemctl try-restart neutron-vpn-agent.service >/dev/null 2>&1 || :
fi


%files
%doc LICENSE
%doc README.rst
%{_bindir}/quantum-db-manage
%{_bindir}/quantum-debug
%{_bindir}/quantum-dhcp-agent
%{_bindir}/quantum-l3-agent
%{_bindir}/quantum-lbaas-agent
%{_bindir}/quantum-metadata-agent
%{_bindir}/quantum-netns-cleanup
%{_bindir}/quantum-ns-metadata-proxy
%{_bindir}/quantum-rootwrap
%{_bindir}/quantum-rootwrap-xen-dom0
%{_bindir}/quantum-server
%{_bindir}/quantum-usage-audit

%{_bindir}/neutron-db-manage
%{_bindir}/neutron-debug
%{_bindir}/neutron-dhcp-agent
%{_bindir}/neutron-l3-agent
%{_bindir}/neutron-lbaas-agent
%{_bindir}/neutron-metadata-agent
%{_bindir}/neutron-netns-cleanup
%{_bindir}/neutron-ns-metadata-proxy
%{_bindir}/neutron-rootwrap
%{_bindir}/neutron-rootwrap-xen-dom0
%{_bindir}/neutron-server
%{_bindir}/neutron-usage-audit

%{_prefix}/lib/ocf/lib/neutron/neutron-netns-cleanup
%{_prefix}/lib/ocf/resource.d/neutron/NetnsCleanup
%{_prefix}/lib/ocf/resource.d/neutron/NeutronScale

%{_unitdir}/neutron-netns-cleanup.service
%{_unitdir}/neutron-dhcp-agent.service
%{_unitdir}/neutron-l3-agent.service
%{_unitdir}/neutron-lbaas-agent.service
%{_unitdir}/neutron-metadata-agent.service
%{_unitdir}/neutron-server.service
%dir %{_sysconfdir}/neutron
%{_sysconfdir}/neutron/release
%attr(-, root, neutron) %{_datadir}/neutron/neutron-dist.conf
%attr(-, root, neutron) %{_datadir}/neutron/api-paste.ini
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/dhcp_agent.ini
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/fwaas_driver.ini
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/l3_agent.ini
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/metadata_agent.ini
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/lbaas_agent.ini
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/policy.json
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/neutron.conf
%config(noreplace) %{_sysconfdir}/neutron/rootwrap.conf
%dir %{_sysconfdir}/neutron/plugins
%config(noreplace) %{_sysconfdir}/logrotate.d/*
%config %{_sysconfdir}/sudoers.d/neutron
%dir %attr(0755, neutron, neutron) %{_sharedstatedir}/neutron
%dir %attr(0750, neutron, neutron) %{_localstatedir}/log/neutron
%dir %{_datarootdir}/neutron
%dir %{_datarootdir}/neutron/rootwrap
%{_datarootdir}/neutron/rootwrap/debug.filters
%{_datarootdir}/neutron/rootwrap/dhcp.filters
%{_datarootdir}/neutron/rootwrap/iptables-firewall.filters
%{_datarootdir}/neutron/rootwrap/l3.filters
%{_datarootdir}/neutron/rootwrap/lbaas-haproxy.filters


%files -n python-neutron
%doc LICENSE
%doc README.rst
%{python_sitelib}/neutron
%{python_sitelib}/quantum
%{python_sitelib}/neutron-%%{version}*.egg-info


%files bigswitch
%doc LICENSE
%doc neutron/plugins/bigswitch/README
%{_bindir}/neutron-restproxy-agent
%dir %{_sysconfdir}/neutron/plugins/bigswitch
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/plugins/bigswitch/*.ini
%doc %{_sysconfdir}/neutron/plugins/bigswitch/README


%files brocade
%doc LICENSE
%doc neutron/plugins/brocade/README.md
%dir %{_sysconfdir}/neutron/plugins/brocade
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/plugins/brocade/*.ini


%files cisco
%doc LICENSE
%doc neutron/plugins/cisco/README
%dir %{_sysconfdir}/neutron/plugins/cisco
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/plugins/cisco/*.ini


%files embrane
%doc LICENSE
%doc neutron/plugins/embrane/README
%dir %{_sysconfdir}/neutron/plugins/embrane
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/plugins/embrane/*.ini


%files hyperv
%doc LICENSE
#%%doc neutron/plugins/hyperv/README
%{_bindir}/neutron-hyperv-agent
%{_bindir}/quantum-hyperv-agent
%dir %{_sysconfdir}/neutron/plugins/hyperv
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/plugins/hyperv/*.ini


%files ibm
%doc LICENSE
%{_bindir}/neutron-ibm-agent
%{_bindir}/quantum-ibm-agent
%doc neutron/plugins/ibm/README
%dir %{_sysconfdir}/neutron/plugins/ibm
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/plugins/ibm/*.ini


%files linuxbridge
%doc LICENSE
%doc neutron/plugins/linuxbridge/README
%{_bindir}/neutron-linuxbridge-agent
%{_bindir}/quantum-linuxbridge-agent
%{_unitdir}/neutron-linuxbridge-agent.service
%{_datarootdir}/neutron/rootwrap/linuxbridge-plugin.filters
%dir %{_sysconfdir}/neutron/plugins/linuxbridge
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/plugins/linuxbridge/*.ini


%files midonet
%doc LICENSE
#%%doc neutron/plugins/midonet/README
%dir %{_sysconfdir}/neutron/plugins/midonet
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/plugins/midonet/*.ini


%files ml2
%doc LICENSE
%doc neutron/plugins/ml2/README
%dir %{_sysconfdir}/neutron/plugins/ml2
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/plugins/ml2/*.ini


%files mellanox
%doc LICENSE
%doc neutron/plugins/mlnx/README
%{_bindir}/neutron-mlnx-agent
%{_bindir}/quantum-mlnx-agent
%{_unitdir}/neutron-mlnx-agent.service
%dir %{_sysconfdir}/neutron/plugins/mlnx
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/plugins/mlnx/*.ini

%files nuage
%doc LICENSE
#%doc neutron/plugins/nuage/README
%dir %{_sysconfdir}/neutron/plugins/nuage
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/plugins/nuage/*.ini

%files ofagent
%doc LICENSE
%doc neutron/plugins/ofagent/README
%{_bindir}/neutron-ofagent-agent


%files oneconvergence-nvsd
%doc LICENSE
%doc neutron/plugins/oneconvergence/README
%dir %{_sysconfdir}/neutron/plugins/oneconvergence
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/plugins/oneconvergence/nvsdplugin.ini
%{_bindir}/neutron-nvsd-agent
%{_bindir}/quantum-nvsd-agent

%files openvswitch
%doc LICENSE
%doc neutron/plugins/openvswitch/README
%{_bindir}/neutron-openvswitch-agent
%{_bindir}/quantum-openvswitch-agent
%{_bindir}/neutron-ovs-cleanup
%{_bindir}/quantum-ovs-cleanup
%{_prefix}/lib/ocf/lib/neutron/neutron-ovs-cleanup
%{_prefix}/lib/ocf/resource.d/neutron/OVSCleanup
%{_unitdir}/neutron-openvswitch-agent.service
%{_unitdir}/neutron-ovs-cleanup.service
%{_datarootdir}/neutron/rootwrap/openvswitch-plugin.filters
%dir %{_sysconfdir}/neutron/plugins/openvswitch
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/plugins/openvswitch/*.ini


%files plumgrid
%doc LICENSE
%doc neutron/plugins/plumgrid/README
%dir %{_sysconfdir}/neutron/plugins/plumgrid
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/plugins/plumgrid/*.ini


%files ryu
%doc LICENSE
%doc neutron/plugins/ryu/README
%{_bindir}/neutron-ryu-agent
%{_bindir}/quantum-ryu-agent
%{_unitdir}/neutron-ryu-agent.service
%{_datarootdir}/neutron/rootwrap/ryu-plugin.filters
%dir %{_sysconfdir}/neutron/plugins/ryu
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/plugins/ryu/*.ini


%files nec
%doc LICENSE
%doc neutron/plugins/nec/README
%{_bindir}/neutron-nec-agent
%{_bindir}/quantum-nec-agent
%{_unitdir}/neutron-nec-agent.service
%{_datarootdir}/neutron/rootwrap/nec-plugin.filters
%dir %{_sysconfdir}/neutron/plugins/nec
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/plugins/nec/*.ini


%files metaplugin
%doc LICENSE
%doc neutron/plugins/metaplugin/README
%dir %{_sysconfdir}/neutron/plugins/metaplugin
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/plugins/metaplugin/*.ini


%files vmware
%doc LICENSE
%{_bindir}/neutron-check-nvp-config
%{_bindir}/quantum-check-nvp-config
%{_bindir}/neutron-check-nsx-config
%{_bindir}/neutron-nsx-manage
%dir %{_sysconfdir}/neutron/plugins/nicira
%dir %{_sysconfdir}/neutron/plugins/vmware
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/plugins/nicira/*.ini
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/plugins/vmware/*.ini


%files metering-agent
%doc LICENSE
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/metering_agent.ini
%{_unitdir}/neutron-metering-agent.service
%{_bindir}/neutron-metering-agent


%files vpn-agent
%doc LICENSE
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/vpn_agent.ini
%{_unitdir}/neutron-vpn-agent.service
%{_bindir}/neutron-vpn-agent
%{_datarootdir}/neutron/rootwrap/vpnaas.filters


%changelog
* Fri Sep 25 2015 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1.5-4
- Stop device_owner from being set to 'network:*', rhbz#1264273

* Fri Sep 25 2015 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1.5-3
- Fix AttributeError during startup of ovs agent in DVR mode, rhbz#1264954

* Thu Aug 27 2015 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1.5-2
- Fix reconnect race condition with RabbitMQ cluster, rhbz#1251370

* Wed Aug 26 2015 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1.5-1
- Update to upstream 2014.1.5, rhbz#1254702

* Mon Aug 17 2015 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1.4-6
- Make allocation_pools attribute of subnet updateable by PUT, rhbz#1243801

* Tue Aug 11 2015 Jakub Libosvar <libosvar@redhat.com> 2014.1.4-5
- Support vif_details in ml2 migration script, rhbz#1247096

* Wed Jun 24 2015 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1.4-4
- Persist DHCP leases to a local database, rhbz#1227638

* Mon Apr 20 2015 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1.4-3
- change logrotate to be based on size rather than age, rhbz#1212442

* Mon Apr 13 2015 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1.4-2
- Set onlink routes for all subnets on an external network, rhbz#1185200

* Wed Mar 18 2015 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1.4-1
- Update to upstream 2014.1.4, rhbz#1203279

* Wed Jan 7 2015 Miguel Ángel Ajo <mangelajo@redhat.com> 2014.1.3-13
- Enable process monitor for dhcp-agent and l3-agent by default.
  rhbz#1172054

* Thu Nov 27 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1.3-12
- Cisco N1kv: Fix update network profile for add tenants, rhbz#1153942

* Thu Nov 20 2014 Miguel Angel Ajo <mangelajo@redhat.com> 2014.1.3-11
- Fix hostname regex pattern rhbz#1166074 (CVE-2014-7821)

* Thu Nov 13 2014 Miguel Angel Ajo <mangelajo@redhat.com> 2014.1.3-10
- Fix neutron-netns-cleanup broken because of backport rhbz#1160350
- Fix neutron-dhcp-agent restart to reload dnsmasqs rhbz#1162108
- allow delete_port to work when there are multiple floating ips
  rhbz#1163470

* Thu Nov 13 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1.3-9
- Revert to 755 permissions for /var/lib/neutron since dnsmasq drops
  'neutron' user and runs as 'nobody' by default, rhbz#1163759

* Mon Nov 10 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1.3-8
- Made /var/log/neutron and /var/lib/neutron permissions more strict
  (0755 -> 0750) since those directories may contain sensitive data,
  rhbz#1149688

* Thu Oct 30 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1.3-7
- Revert "Deletes floating ip related connection states", rhbz#1158871

* Thu Oct 23 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1.3-6
- Create 'quota' table in folsom_initial, rhbz#1134545
- Check for IPv6 file before reading, rhbz#1150898

* Wed Oct 15 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1.3-5
- Cisco N1kv: Remove vmnetwork delete REST call on last port delete, rhbz#1150318
- Implement full sync for cisco n1kv plugin, rhbz#1085172
- Raise exception for network delete with subnets presents, rhbz#1118509
- Add quotas to Cisco N1kv plugins supported extension aliases, rhbz#1134545

* Thu Oct 09 2014 Miguel Angel Ajo <mangelajo@redhat.com> 2014.1.3-4
- Implements the ProcessMonitor in the l3_agent
- Update agent/l3_agent.py to include metadata-proxy-related refactors
- Implements the ProcessMonitor in the dhcp_agent and dnsmasq driver
- Delete DHCP port without DHCP server on a net node
- Modify the ProcessMonitor class to have one less config parameter
- Fix pid file location to avoid I->J changes that break metadata
- Implements ProcessMonitor to watch over external processes
- Update agent/linux/external_process.py from keepalived manager changes
- Update agent/linux/external_process.py and utils.py from radvd changes

* Thu Oct 09 2014 Miguel Ángel Ajo <majopela@redhat.com> 2014.1.3-3
- Fixed an error in the NeutronScale OCF script rhbz#1150413

* Wed Oct 08 2014 Miguel Ángel Ajo <majopela@redhat.com> 2014.1.3-2
- Include NeutronScale OCF script, to allow virtual host ids
  on neutron agents with pacemaker rhbz#1150413

* Tue Oct 07 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1.3-1
- Update to upstream 2014.1.3, rhbz#1149742

* Tue Oct 07 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1.2-13
- n1kv: increase poll duration from 10 to 60 secs, rhbz#1130299

* Tue Oct 07 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1.2-12
- Multiple Cisco requested backports:
  - Provide way to reserve dhcp port during failovers update vsm credential correctly, rhbz#1148511
  - update vsm credential correctly, rhbz#1134612
  - Assign Cisco nw profile to multi-tenants in single request, rhbz#1085646
  - Networks are not scheduled to DHCP agents for Cisco N1KV plugin, rhbz#1134595
  - Control active number of REST calls from Cisco N1kv plugin to VSM, rhbz#1085177
  - Add config for visibility of cisco-policy-profile, rhbz#1085175
  - Replace XML with JSON for N1kv REST calls, rhbz#1085173

* Fri Oct 03 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1.2-11
- Removed service_providers from neutron-dist.conf, rhbz#1022725

* Tue Sep 30 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1.2-10
- Split embrane pieces into separate plugin package, rhbz#1110195

* Tue Sep 30 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1.2-9
- Add nuage plugin packaging as openstack-neutron-nuage, rhbz#1110195

* Mon Sep 29 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1.2-8
- Forbid regular users to reset admin-only attrs to default values, rhbz#1147187

* Mon Sep 29 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1.2-7
- Qpid: explicitly name subscription queue, rhbz#1147618

* Mon Sep 29 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1.2-6
- enforce force_gateway_on_subnet=True in neutron-dist.conf, rhbz#1090553

* Thu Sep 25 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1.2-5
- Add support for router scheduling in Cisco N1kv Plugin, rhbz#1131738

* Fri Sep 19 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1.2-4
- Added back the missing patch for dnsmasq version check, rhbz#1144329

* Thu Sep 18 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1.2-3
- Ensure ip6tables are used only if ipv6 is enabled in kernel, rhbz#1125207

* Mon Aug 11 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1.2-2
- Re-enable metadata caching thru neutron-dist.conf, rhbz#1101494

* Mon Aug 11 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1.2-1
- Update to upstream 2014.1.2

* Tue Aug 05 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1.1-7
- no quota for allowed address pair, rhbz#1125948

* Mon Aug 04 2014 Jakub Libosvar <libosvar@redhat.com> 2014.1.1-6
- Fix deprecated opt in haproxy driver, rhbz#1123826

* Mon Jul 28 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1.1-5
- Do not mark device as processed if it wasn't, rhbz#1115588

* Tue Jul 15 2014 Miguel Ángel Ajo <majopela@redhat.com> 2014.1.1-4
- Moved all plugin sources to python-neutron to avoid breaking
  hidden upstream dependencies from agents to plugins, etc.
  fixes rhbz#1119619
- Removed the hyper-v agent exclude.
- Added a few LICENSE files to packages that missed it.

* Tue Jul 15 2014 Miguel Ángel Ajo <majopela@redhat.com> 2014.1.1-3
- Added OCF resources for netns,ovs-cleanup.
  wrapping the rhel6 init.d scripts for easier maintanability.
  rhbz#1118792

* Thu Jul 10 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1.1-2
- removed 'noreplace' tag from sudoers file, rhbz#1115410

* Thu Jul 10 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1.1-1
- Update to upstream 2014.1.1, rhbz#1117893

* Thu Jul 10 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1-38
- Rebased patches on top of a common branch for both EL6 and EL7, rhbz#1117757

* Thu Jul 10 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1-37
- Avoid notifying while inside transaction opened in delete_port(), rhbz#1109577
- Fixed floating IP logic in PLUMgrid plugin, rhbz#1109577

* Wed Jul 02 2014 Jakub Libosvar <libosvar@redhat.com> 2014.1-36
- Exit rpc_loop when SIGTERM is recieved in ovs-agent, rhbz#1112968

* Thu Jun 26 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1-35
- remove token from notifier middleware, rhbz#1113376

* Wed Jun 18 2014 Jakub Libosvar <jlibosva@redhat.com> - 2014.1-34
- Send SIGTERM signal only to parent process when stopping neutron service
  (rhbz#1110642)

* Wed Jun 18 2014 Jakub Libosvar <jlibosva@redhat.com> - 2014.1-33
- Notify systemd when starting Neutron server

* Tue Jun 17 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1-32
- Install SNAT rules for ipv4 only (rhbz#1110217)

* Tue Jun 17 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1-31
- Segregate the VSM calls from database calls in N1kv plugin (rhbz#1108960)
- Fix network profile subtype validation in N1kv plugin (rhbz#1108962)
- OVS lib defer apply doesn't handle concurrency
- Optimize querying for security groups
- gw_port should be set as lazy='join'

* Fri Jun 13 2014 Jakub Libosvar <jlibosva@redhat.com> - 2014.1-30
- Disable nova notifications by default (rhbz#1094506)

* Thu Jun 12 2014 Assaf Muller <amuller@redhat.com> 2014.1-29
- Remove RPC to plugin when dhcp sets default route

* Wed Jun 11 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1-28
- Ensure routing key is specified in the address for a direct producer (rhbz#1106854)

* Wed Jun 11 2014 Jakub Libosvar <jlibosva@redhat.com> - 2014.1-27
- Disable nova notifications by default (rhbz#1094506)

* Tue Jun 03 2014 Terry Wilson <twilson@redhat.com> 2014.1-26
- L3 RPC loop could delete a router on concurrent update (rhbz#1103820)

* Mon Jun 02 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1-25
- Fixed build due to incorrect patch and unpackaged files (rhbz#1102239)

* Mon Jun 02 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1-24
- Added missing plugin .ini files to setup.cfg (rhbz#1102239)

* Wed May 28 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1-23
- Remove List events API from Cisco N1kv Neutron (rhbz#1099261)

* Mon May 26 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1-22
- Remove kernel version check for OVS VXLAN (rhbz#1100164)
- Replace loopingcall in notifier with a delayed send (rhbz#1101261)
- Metadata agent caches networks for routers (rhbz#1065412)

* Tue May 20 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1-21
- netaddr<=0.7.10 raises ValueError instead of AddrFormatError, bz#1099104
- Validate CIDR given as ip-prefix in security-group-rule-create, bz#1099104

* Fri May 16 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1-20
- Fixed neutron-server startup due to duplicate options

* Fri May 16 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1-19
- Updated the patches from upstream:
- Metadata agent caches networks for routers (rhbz#1054702)
- Common decorator for caching methods (rhbz#1054702)

* Thu May 15 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1-18
- Removed obsolete setup scripts

* Thu May 15 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1-17
- Removed signing_dir from neutron-dist.conf, again (rhbz#1050842)

* Thu May 15 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1-16
- Make neutron-vpn-agent read fwaas_driver.ini, rhbz#1098121

* Thu May 15 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1-15
- Removed signing_dir from neutron.conf (rhbz#1050962)
- Removed Arista patch that is only needed for CI

* Thu May 08 2014 Terry Wilson <twilson@redhat.com> 2014.1-14
- Fix a typo in metadata agent, rhbz#1095819

* Fri Apr 25 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1-13
- Skip RHOS gerrit patch for RPMs

* Thu Apr 24 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1-12
- Synced all the needed patches from RHOS 4.0 to RHOSP 5 branch.

* Tue Apr 22 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1-11
- Pin python-novaclient dependency to >= 2.17.0

* Fri Apr 18 2014 Pádraig Brady <pbrady@redhat.com> - 2014.1-10
- Remove uneeded dep on python-keystone

* Fri Apr 18 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1-9
- Require python-novaclient (used for Nova notifications)

* Fri Apr 18 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1-8
- We no longer specify notification_driver in neutron-dist.conf

* Fri Apr 18 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1-7
- Move api-paste.ini to /usr to make sure new values are applied on upgrade

* Fri Apr 18 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1-6
- Add more build directories

* Fri Apr 18 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1-5
- Require python-keystoneclient >= 0.7.0 to reflect upstream requirement

* Fri Apr 18 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1-4
- Require python-keystone package

* Fri Apr 18 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1-3
- Clean up neutron-dist.conf to reflect identical upstream defaults

* Fri Apr 18 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1-2
- Set use_stderr = False to avoid duplicate logging for stderr

* Fri Apr 18 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1-1
- Update to upstream 2014.1

* Tue Apr 15 2014 Miguel Ángel Ajo <majopela@redhat.com> -2014.1-0.19.rc2
- Include the systemd readiness notification patch

* Tue Apr 15 2014 Pádraig Brady <pbrady@redhat.com> - 2014.1-0.18.rc2
- Add missing dependency on python-oslo-rootwrap

* Fri Apr 11 2014 Miguel Angel Ajo <mangelajo@redhat.com> 2014.1-0.17.rc2
- Update to upstream 2014.1.rc2

* Fri Apr 11 2014 Miguel Ángel Ajo <majopela@redhat.com> 2014.1-0.16.rc1
- Use rabbitmq by default

* Thu Apr 10 2014 Miguel Ángel Ajo <majopela@redhat.com> 2014.1-0.15.rc1
- Removes the python-pyudev dependency, bz#1053001

* Thu Apr 10 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2014.1-0.14.rc1
- Remove signing_dir from neutron-dist.conf, bz#1050842

* Fri Apr 04 2014 Pádraig Brady <pbrady@redhat.com> - 2014.1-0.13.rc1
- Fix startup issue due to invalid group permissions, bz#1080560

* Wed Apr 02 2014 Terry Wilson <twilson@redhat.com> 2014.1-0.12.rc1
- Update to upstream 2014.1.rc1
- Remove python-psutil requirement

* Mon Mar 24 2014 Pádraig Brady <pbrady@redhat.com> - 2014.1-0.11.b3
- Remove runtime dependency on python-pbr

* Wed Mar 19 2014 Miguel Ángel ajo <majopela@redhat.com> - 2013.1-0.10.b3
- Create agents table when ML2 core_plugin is used

* Tue Mar 11 2014 Miguel Ángel Ajo <majopela@redhat.com> - 2013.1-0.9.b3
- Forcing python-six version to be at least >= 1.4.1

* Tue Mar 11 2014 Miguel Ángel Ajo <majopela@redhat.com> - 2014.1-0.8.b3
- Updated to Icehouse milestone 3 
- Added neutron-dhcp-agent dependency bz#1019487
- Add openstack-neutron-ibm plugin
- Add openstack-neutron-ofagent plugin from ryu project

* Wed Feb 19 2014 Pádraig Brady <pbrady@redhat.com> - 2014.1-0.7.b2
- Sync up Quantum renaming changes

* Thu Feb 13 2014 Terry Wilson <twilson@redhat.com> - 2014.1-0.6.b2
- Rename nicira plugin to vmware

* Tue Feb 04 2014 Pádraig Brady <pbrady@redhat.com> - 2014.1-0.5.b2
- Fix missing dependency on python-stevedore

* Mon Jan 27 2014 Terry Wilson <twilson@redhat.com> - 2014.1-0.4.b2
- Update to icehouse milestone 2

* Fri Jan 24 2014 Terry Wilson <twilson@redhat.com> - 2014.1-0.3.b1
- Remove requirements.txt, bz#1057615

* Tue Jan 07 2014 Terry Wilson <twilson@redhat.com> - 2014.1-0.2.b1
- Add python-psutil requirement for openvswitch agent, bz#1049235

* Mon Dec 23 2013 Pádraig Brady <pbrady@redhat.com> - 2014.1-0.1.b1
- Update to icehouse milestone 1

* Wed Dec 18 2013 Pádraig Brady <pbrady@redhat.com> - 2013.2.1-1
- Update to havana stable release 2013.2.1

* Tue Dec 10 2013 Terry Wilson <twilson@redhat.com> - 2013.2-6
- Add rootwrap.conf limitation to sudoers.d/neutron, bz#984097
- neutron-server-setup: support mariadb

* Wed Dec 04 2013 Terry Wilson <twilson@redhat.com> - 2013.2-5
- Add missing debug and vpnaas rootwrap filters, bz#1034207

* Mon Dec 02 2013 Terry Wilson <twilson@redhat.com> - 2013.2-4
- Replace quantum references in neutron-dist.conf

* Wed Nov 13 2013 Terry Wilson <twilson@redhat.com> - 2013.2-3
- Add dnsmasq-utils dependency

* Wed Oct 30 2013 Terry Wilson <twilson@redaht.com> - 2013.2-2
- Better support for upgrading from grizzly to havana
- Update dependencies on python-{babel,keystoneclient,oslo-config}

* Fri Oct 18 2013 Pádraig Brady <pbrady@redhat.com> - 2013.2-1
- Update to havana GA

* Thu Oct 10 2013 Terry Wilson <twilson@redhat.com> - 2013.2-0.12.rc1
- Update to havana rc1

* Wed Oct  2 2013 Terry Wilson <twilson@redhat.com> - 2013.2-0.11.b3
- Add python-jinja2 requires to VPN agent
- Add missing services and pre/postuns for VPN and metering agents

* Thu Sep 26 2013 Terry Wilson <twilson@redhat.com> - 2013.2-0.10.b3
- Add support for neutron-dist.conf

* Tue Sep 17 2013 Pádraig Brady <pbrady@redhat.com> - 2013.2-0.9.b3
- Fix typo in openstack-neutron-meetering-agent package name

* Tue Sep 10 2013 Terry Wilson <twilson@redhat.com> - 2013.2-0.8.b3
- Add python-pbr dependency (for now)

* Mon Sep 09 2013 Terry Wilson <twilson@redhat.com> - 2013.2-0.6.b3
- Update to havana milestone 3 release

* Mon Aug 26 2013 Terry Wilson <twilson@redhat.com> - 2013.2-0.5.b2
- Add provides/obsoletes for subpackages

* Mon Aug 19 2013 Terry Wilson <twilson@redhat.com> - 2013.2-0.4.b2
- Updated to havana milestone 2 release
- Renamed quantum to neutron

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2013.2-0.3.b1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jun 21 2013 Terry Wilson <twilson@redhat.com> - 2013.2-0.2.b1
- Update to havana milestone 1 release

* Fri Jun 07 2013 Terry Wilson <twilson@redhat.com> - 2013.1.2-1
- Update to grizzly 2013.1.2 release

* Fri May 24 2013 Pádraig Brady <P@draigBrady.com> - 2013.1.1-5
- Fix inclusion of db migrations

* Thu May 23 2013 Gary Kotton <gkotton@redhat.com> - 2013.1.1-4
- Fix rootwrap (bug 947793)

* Mon May 20 2013 Terry Wilson <twilson@redhat.com> - 2013.1.1-3
- Fix swapped l3-agent and lbaas-agent service definitions

* Mon May 13 2013 Gary Kotton <gkotton@redhat.com> - 2013.1.1-2
- Update to grizzly release
- Update install scripts to configure security groups
- Update install scripts to remove virtual interface configurations

* Wed Apr  3 2013 Gary Kotton <gkotton@redhat.com> - 2013.1-1
- Update to grizzly release

* Wed Apr  3 2013 Gary Kotton <gkotton@redhat.com> - 2013.1-0.7.rc3
- Update to grizzly rc3
- Update rootwrap (bug 947793)
- Update l3-agent-setup to support qpid (bug 947532)
- Update l3-agent-setup to support metadata-agent credentials
- Update keystone authentication details (bug 947776)

* Tue Mar 26 2013 Terry Wilson <twilson@redhat.com> - 2013.1-0.6.rc2
- Update to grizzly rc2

* Tue Mar 12 2013 Pádraig Brady <P@draigBrady.Com> - 2013.1-0.5.g3
- Relax the dependency requirements on sqlalchemy

* Mon Feb 25 2013 Robert Kukura <rkukura@redhat.com> - 2013.1-0.4.g3
- Update to grizzly milestone 3
- Add brocade, hyperv, midonet, and plumgrid plugins as sub-packages
- Remove cisco files that were eliminated
- Add quantum-check-nvp-config
- Include patch for https://code.launchpad.net/bugs/1132889
- Require python-oslo-config
- Require compatible version of python-sqlalchemy
- Various spec file improvements

* Thu Feb 14 2013 Robert Kukura <rkukura@redhat.com> - 2013.1-0.3.g2
- Update to grizzly milestone 2
- Add quantum-db-manage, quantum-metadata-agent,
  quantum-ns-metadata-proxy, quantum-ovs-cleanup, and
  quantum-usage-audit executables
- Add systemd units for quantum-metadata-agent and quantum-ovs-cleanup
- Fix /etc/quantum/policy.json permissions (bug 877600)
- Require dnsmasq (bug 890041)
- Add the version info file
- Remove python-lxml dependency
- Add python-alembic dependency

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2013.1-0.2.g1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Dec  5 2012 Robert Kukura <rkukura@redhat.com> - 2013.1-0.1.g1
- Update to grizzly milestone 1
- Require python-quantumclient >= 1:2.1.10
- Remove unneeded rpc control_exchange patch
- Add bigswitch plugin as sub-package
- Work around bigswitch conf file missing from setup.py

* Mon Dec  3 2012 Robert Kukura <rkukura@redhat.com> - 2012.2.1-1
- Update to folsom stable 2012.2.1
- Turn off PrivateTmp for dhcp_agent and l3_agent (bug 872689)
- Add upstream patch: Fix rpc control_exchange regression.
- Remove workaround for missing l3_agent.ini

* Fri Sep 28 2012 Robert Kukura <rkukura@redhat.com> - 2012.2-1
- Update to folsom final
- Require python-quantumclient >= 1:2.1.1

* Sun Sep 23 2012 Gary Kotton <gkotton@redhat.com> - 2012.2-0.9.rc2
- Update to folsom rc2

* Sun Sep 16 2012 Robert Kukura <rkukura@redhat.com> - 2012.2-0.9.rc1
- Fix setting admin_user in quantum_l3_setup

* Fri Sep 14 2012 Robert Kukura <rkukura@redhat.com> - 2012.2-0.8.rc1
- Setup script fixes from garyk
- Fix openvswitch service config file path
- Make log file names consistent with service names

* Thu Sep 13 2012 Robert Kukura <rkukura@redhat.com> - 2012.2-0.7.rc1
- Fix various issues in setup scripts
- Configure quantum-dhcp-agent to store files under /var/lib/quantum
- Make config files with passwords world-unreadable
- Replace bug workarounds with upstream patches

* Wed Sep 12 2012 Robert Kukura <rkukura@redhat.com> - 2012.2-0.6.rc1
- Require python-quantumclient >= 2.0.22
- Add bug references for work-arounds
- Use /usr/share/quantum/rootwrap instead of /usr/share/quantum/filters

* Wed Sep 12 2012 Robert Kukura <rkukura@redhat.com> - 2012.2-0.5.rc1
- Update to folsom rc1
- Fix command lines in agent systemd units
- Fix setup scripts
- Fix configuration of agents to use quantum-rootwrap
- Set "debug = False" and "auth_strategy = noauth" in quantum.conf
- Symlink /etc/quantum/plugin.ini to plugin's config file
- Add "--config-file /etc/quantum/plugin.ini" to ExecStart in quantum-server.service

* Tue Sep 11 2012 Robert Kukura <rkukura@redhat.com> - 2012.2-0.4.rc1.20120911.1224
- Update to folsom rc1 snapshot
- Add support for new agents, plugins and rootwrap

* Wed Aug 22 2012 Pádraig Brady <P@draigBrady.com> - 2012.2-0.3.f2
- Fix helper scripts to setup the database config correctly (#847785)

* Tue Aug  7 2012 Robert Kukura <rkukura@redhat.com> - 2012.2-0.2.f2
- Include quantum module no longer provided by python-quantumclient
- Update description text
- Disable setuptools_git dependency

* Tue Aug  7 2012 Robert Kukura <rkukura@redhat.com> - 2012.2-0.1.f2
- Update to folsom milestone 2

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2012.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon May 28 2012 Pádraig Brady <P@draigBrady.com> - 2012.1-2
- Fix helper scripts to use the always available openstack-config util

* Mon Apr  9 2012 Robert Kukura <rkukura@redhat.com> - 2012.1-1
- Update to essex release

* Thu Apr  5 2012 Robert Kukura <rkukura@redhat.com> - 2012.1-0.7.rc2
- Update to essex rc2 milestone
- Use PrivateTmp for services

* Wed Mar 21 2012 Robert Kukura <rkukura@redhat.com> - 2012.1-0.6.rc1
- Update to official essex rc1 milestone
- Add quantum-server-setup and quantum-node-setup scripts
- Use hand-coded agent executables rather than easy-install scripts
- Make plugin config files mode 640 and group quantum to protect passwords

* Mon Mar 19 2012 Robert Kukura <rkukura@redhat.com> - 2012.1-0.5.e4
- Update to essex possible RC1 tarball
- Remove patches incorporated upstream
- Don't package test code
- Remove dependencies only needed by test code

* Wed Mar 14 2012 Robert Kukura <rkukura@redhat.com> - 2012.1-0.4.e4
- Upstream patch: add root_helper to quantum agents
- Add sudoers file enabling quantum-rootwrap for quantum user
- Configure plugin agents to use quantum-rootwrap
- Run plugin agents as quantum user

* Fri Mar  9 2012 Robert Kukura <rkukura@redhat.com> - 2012.1-0.3.e4
- Add upstream patch: remove pep8 and strict lxml version from setup.py
- Remove old fix for pep8 dependency
- Add upstream patch: Bug #949261 Removing nova drivers for Linux Bridge Plugin
- Add openvswitch dependency

* Mon Mar  5 2012 Robert Kukura <rkukura@redhat.com> - 2012.1-0.2.e4
- Update to essex milestone 4
- Move plugins to sub-packages
- Systemd units for agents

* Mon Jan 30 2012 Robert Kukura <rkukura@redhat.com> - 2012.1-0.1.e3
- Update to essex milestone 3 for F17

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2011.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Nov  17 2011 Robert Kukura <rkukura@redhat.com> - 2011.3-1
- Initial package for Fedora
